%define name 	mp3c
%define version 0.29
%define release 1mdk

Summary: 	MP3 creator for audiocds with usage of CDDB
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
Source: 	%{name}-%{version}.tar.bz2
URL:		http://wspse.de/WSPse/Linux-MP3c.php3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  ncurses-devel

%description
This program reads the TOC from audio CDs, gets the CDDB entry for it, 
and converts the audio tracks to mp3 or Ogg Vorbis format.
(under usage of any CD grabber and encoder).

It has a comfortable text-based UI, but you can also create a shell script for 
automated processing of a CD.

The default settings require oggenc from the vorbis-tools package and 
cdparanoia.


%prep

%setup -q

%build

%configure2_5x \
    --with-cddb-path=%{_datadir}/apps/kscd/cddb \
    --enable-oggdefaults

%make

%install

rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BATCH.README BUGS CDDB_HOWTO ChangeLog FAQ NEWS OTHERS 
%doc README patches/cdparanoia.diff patches/encoder.diff TODO
%{_bindir}/mp3c
%{_mandir}/man1/mp3c.1*

%changelog
* Sat Jun 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.29-1mdk
- 0.29

* Thu Jun 03 2004 Michael Scherer <misc@mandrake.org> 0.28-2mdk 
- rebuild for new libintl
- BuildRequires

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.28-1mdk
- fix url
- enable Ogg as default
- drop patch
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.27-3mdk
- fix buildrequires

* Thu Jun 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.27-2mdk
- rebuild for new gettext

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.27-1mdk
- fixed & updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.2.7
	- patched default config, we use the ogg format
	- changed description

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.26-1mdk
- used srpm from Christian Zoffoli <czoffoli@linux-mandrake.com> 
	- new package
